/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

function createItem(description, rd) {
    this.description = description;
    this.rd = rd;
}

function getLocalizedMessage(msg) {
    return document.getElementById("subjects_prefix_switch.locale").getString(msg);
}

function showMessage(title, msg) {
    var prompts = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]
                        .getService(Components.interfaces.nsIPromptService);

    prompts.alert(null, title, msg);
}

function openURL(aURL) {
    var uri = Components.classes["@mozilla.org/network/standard-url;1"].createInstance(Components.interfaces.nsIURI);
    var protocolSvc = Components.classes["@mozilla.org/uriloader/external-protocol-service;1"].getService(Components.interfaces.nsIExternalProtocolService);

    uri.spec = aURL;
    protocolSvc.loadUrl(uri);
}

function openOptions(autosave) {
    return window.openDialog("chrome://subjects_prefix_switch/content/options.xul",
        "_blank", "chrome, centerscreen, modal, resizable=yes", autosave);
}

function dumpStr(str) {
    if (PUBLIC_DIST)
        return;

    var csClass = Cc['@mozilla.org/consoleservice;1'];
    var cs = csClass.getService(Ci.nsIConsoleService);

    cs.logStringMessage((new Date()).getTime() + ": " + str);
}

function fillListboxFromArray(listbox, array) {
    for (var i = 0; i < array.length; i++) {
        if (array[i] != "-")
            listbox.appendItem(array[i], array[i]);
    }
}

function getArrayFromListbox(listbox){
    var array = new Array();

    if (listbox.getRowCount() > 0) {
        for (var i = 0; i < listbox.getRowCount(); i++){
            array.push(listbox.getItemAtIndex(i).value);
        }

        array = array.join(";");
    } else {
       array = "-";
    }

    return array;
}

function getRDEntrySplitSign() {
   var result;
   try {
        result = rdi_prefs.getCharPref("entry_split_sign");
   } catch(e) {
        result = ENTRY_SPLIT_SIGN;
        rdi_prefs.setCharPref("entry_split_sign", result);
   }
   return result;
}

function getRDPrefEntriesSplitSign() {
   var result;
   try {
        result = rdi_prefs.getCharPref("entries_split_sign");
   } catch(e) {
        result = ENTRIES_SPLIT_SIGN;
        rdi_prefs.setCharPref("entries_split_sign", result);
   }
   return result;
}
